Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 761873 - app-i18n/enca-1.19-r3: stabilisation then cleanup old (was: unused multilib?)
Summary: app-i18n/enca-1.19-r3: stabilisation then cleanup old (was: unused multilib?)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords: CC-ARCHES
Depends on:
Blocks: 717054
  Show dependency tree
 
Reported: 2020-12-27 07:02 UTC by John Helmert III (ajak)
Modified: 2021-01-24 13:50 UTC (History)
2 users (show)

See Also:
Package list:
app-i18n/enca-1.19-r3
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Helmert III (ajak) gentoo-dev Security 2020-12-27 07:02:34 UTC
Is it possible to drop the multilib functionality from enca? A quick look at its reverse dependencies didn't show anything using multilib (and thus depending on enca's multilib functionality). The new version of app-text/recode drops multilib so cleaning up old recode breaks the dependency tree. As such, this blocks security cleanup of recode for bug 717054.

https://github.com/gentoo/gentoo/pull/18823
Comment 1 Larry the Git Cow gentoo-dev 2021-01-04 05:27:35 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=01599c2b2898e2a4ffc73a81e8f353dff5fa31d4

commit 01599c2b2898e2a4ffc73a81e8f353dff5fa31d4
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-01-04 05:26:11 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-01-04 05:27:31 +0000

    app-i18n/enca: drop multilib
    
    * Drop multilib as we're the only consumer of
      app-text/recode with multilib, blocking
      security cleanup.
    
      No consumers of multilib enca seem to exist.
    
    * Modernise the ebuild while here.
    
    Bug: https://bugs.gentoo.org/761873
    Package-Manager: Portage-3.0.12, Repoman-3.0.2
    Signed-off-by: Sam James <sam@gentoo.org>

 app-i18n/enca/enca-1.19-r3.ebuild | 70 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 70 insertions(+)
Comment 2 Sam James archtester gentoo-dev Security 2021-01-04 05:28:05 UTC
Done in ~arch for now just in case any issues show up, as I modernised most of the ebuild at the same time.
Comment 3 Larry the Git Cow gentoo-dev 2021-01-04 05:34:39 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e9c9491e951ae3f8493595ab695bdaf2fd50daf0

commit e9c9491e951ae3f8493595ab695bdaf2fd50daf0
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-01-04 05:34:34 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-01-04 05:34:34 +0000

    app-i18n/enca: drop static-libs too
    
    I was being conservative at first, but we've
    already fixed up some other things, so why not?
    
    Fixes: 01599c2b2898e2a4ffc73a81e8f353dff5fa31d4
    Bug: https://bugs.gentoo.org/761873
    Package-Manager: Portage-3.0.12, Repoman-3.0.2
    Signed-off-by: Sam James <sam@gentoo.org>

 app-i18n/enca/enca-1.19-r3.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
Comment 4 Sam James archtester gentoo-dev Security 2021-01-17 09:53:07 UTC
Still need to stable/cleanup
Comment 5 Sam James archtester gentoo-dev Security 2021-01-22 01:50:33 UTC
arm done
Comment 6 Sam James archtester gentoo-dev Security 2021-01-22 02:12:37 UTC
sparc done
Comment 7 Agostino Sarubbo gentoo-dev 2021-01-22 16:54:41 UTC
amd64 stable
Comment 8 Sam James archtester gentoo-dev Security 2021-01-23 22:56:20 UTC
x86 done
Comment 9 Sam James archtester gentoo-dev Security 2021-01-24 13:34:02 UTC
ppc64 done
Comment 10 Sam James archtester gentoo-dev Security 2021-01-24 13:35:23 UTC
ppc done

all arches done
Comment 11 Larry the Git Cow gentoo-dev 2021-01-24 13:50:02 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=09d60f0577dc989a9c794aa5f35087c1d3a9a8d3

commit 09d60f0577dc989a9c794aa5f35087c1d3a9a8d3
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-01-24 13:47:50 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-01-24 13:49:58 +0000

    app-i18n/enca: cleanup old
    
    Bug: https://bugs.gentoo.org/761873
    Package-Manager: Portage-3.0.14, Repoman-3.0.2
    Signed-off-by: Sam James <sam@gentoo.org>

 app-i18n/enca/enca-1.19-r2.ebuild | 82 ---------------------------------------
 1 file changed, 82 deletions(-)